package com.yiboshi.science.param.query;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yiboshi.science.base.PaginationVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.validator.constraints.Length;

import java.util.Date;

@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel(description = "评审标准表VO")
public class ComEvaluationStandardQueryVO extends PaginationVO {
    /** 标题 */
    @ApiModelProperty(value = "评审表名称", position = 2)
    @Length(max=200, message = "评审表名称不能大于200")
    private String name;
    /** 年度批次名称 */
    @ApiModelProperty(value = "年度批次名称", position = 3)
    private String batchName;
    /** 年度批次Id */
    @ApiModelProperty(value = "年度批次Id", position = 4)
    @Length(max=36, message = "年度批次Id不能大于36")
    private String batchId;
    /** 专家组名称 */
    @ApiModelProperty(value = "专家组名称", position = 5)
    private String groupName;
    /** 专家组Id */
    @ApiModelProperty(value = "专家组Id", position = 6)
    @Length(max=36, message = "专家组Id不能大于36")
    private String groupId;
    /** 备注 */
    @ApiModelProperty(value = "备注", position = 7)
    @Length(max=200, message = "备注不能大于200")
    private String remark;
}
