package com.yiboshi.science.param.query;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yiboshi.science.base.PaginationVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.validator.constraints.Length;

import java.math.BigDecimal;
import java.util.Date;

@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel(description = "评审分值表VO")
public class ComEvaluationValueQueryVO extends PaginationVO {
    /** 值对象Id */
    @ApiModelProperty(value = "值对象Id", position = 1)
    @Length(max=36, message = "值对象Id不能大于36")
    private String objectId;
    /** 标题 */
    @ApiModelProperty(value = "标题", position = 1)
    @Length(max=200, message = "标题不能大于200")
    private String name;
    /** 总分 */
    @ApiModelProperty(value = "总分", position = 4)
    private BigDecimal score;
    /** 排序 */
    @ApiModelProperty(value = "排序", position = 6 )
    private Integer showIndex;
    /** 备注 */
    @ApiModelProperty(value = "备注", position = 1)
    @Length(max=200, message = "备注不能大于200")
    private String remark;
}
